#include <bits/stdc++.h>
using namespace std;
const int mint=1000000;
int a[mint];
int main()
{
	int n;
	cin>>n;
	int bk[10]={0};
	for(int u=0;u<n;u++)
	{
		cin>>a[u];
		bk[a[u]]++;
	}
	int k=9;
	int i=0;
	while(true)
	{
		if(bk[k]>0) 
		{
			if(a[i]==k)
			{
				i++;
				bk[k]--;
			}
			else
			{
				for(int j=n-1;j>i;j++)
				{
					if(a[j]==k)
					{
						swap(a[i],a[j]);
						for(int p=0;p<n;p++) cout<<a[p]<<" ";
						cout<<endl;
						return 0;
					}
				}
			}
		}
		else if(i>=n)
		{
			swap(a[n-1],a[n-2]);
			for(int f=0;f<n;f++) cout<<a[f]<<" ";
			cout<<endl;
			return 0;
		}
		else k--;
	}
	return 0 ;
}